%{?nodejs_find_provides_and_requires}

%global packagename find-up
%global enable_tests 0
# tests disabled until 'ava' is packaged up in Fedora

Name:		nodejs-find-up
Version:	1.0.0
Release:	1%{?dist}
Summary:	Find a file by walking up parent directories

License:	MIT
URL:		https://github.com/sindresorhus/find-up
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh

# grab the test.js file as well
Source2:	https://raw.githubusercontent.com/sindresorhus/find-up/9bf0f46fd04d04902cc4934f418ca49cdf199d83/test.js



ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
BuildRequires:	npm(xo)
%endif

Requires:	nodejs

%description
Find a file by walking up parent directories


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/xo && /usr/bin/ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
